### Enumeration

# Ggit DiffFormatType

#### Declaration

    enum Ggit.DiffFormatType

#### Description [src]

Possible output formats for diff data.

#### Members

Name | Description
--- | ---
`GGIT_DIFF_FORMAT_PATCH` | Full git diff.
`GGIT_DIFF_FORMAT_PATCH_HEADER` | Just the file headers of patch.
`GGIT_DIFF_FORMAT_RAW` | Like git diff —raw.
`GGIT_DIFF_FORMAT_NAME_ONLY` | Like git diff —name-only.
`GGIT_DIFF_FORMAT_NAME_STATUS` | Like git diff —name-status.